Kubernetes
action Statefulset

# remove_statefulset

Remove a statefulset

Run it now
View details

Type | action
Module | chaosk8s.statefulset.actions
Name | remove_statefulset
Return | None

Usage

JSON

    {
      "name": "remove-statefulset",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.statefulset.actions",
        "func": "remove_statefulset"
      }
    }

YAML

    name: remove-statefulset
    provider:
      func: remove_statefulset
      module: chaosk8s.statefulset.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | No | Namespace |
name | string | null | No | Name | Statefulset name to remove
label_selector | string | null | No | Label Selector | Use a label selector instead of a name

Remove a statefulset by `name` in the namespace `ns`.

The statefulset is removed by deleting it without a graceful period to trigger an abrupt termination.

The selected resources are matched by the given `label_selector`.

Signature

    def remove_statefulset(name: str = None,
                           ns: str = 'default',
                           label_selector: str = None,
                           secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Statefulset

  ## `create_statefulset`

  Create a statefulset
- Kubernetes
  action Statefulset

  ## `scale_statefulset`

  Scale a statefulset up or down
- Kubernetes
  action Network

  ## `deny_all_egress`

  Deny all egress from pods